#
# spec file for package statserial (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         statserial
Copyright:    GPL
Group:        Applications/System
Provides:     statseri
Autoreqprov:  on
Version:      1.1
Release:      112
Summary:      Helps to debug serial lines
Source:       ftp://metalab.unc.edu/pub/Linux/system/serial/statserial-%{version}.tar.gz
Patch:        statserial-%{version}.dif
BuildRoot:    /var/tmp/%{name}-BUILD
Obsoletes:    statseri

%description
Statserial  displays  a table of the signals on a standard
9-pin or 25-pin serial port, and indicates the  status  of
the  handshaking  lines.  It  can  be useful for debugging
problems with serial ports or modems.

Authors:
--------
    Jeff Tranter <Jeff_Tranter@Mitel.COM>

SuSE series: ap

%prep
%setup -n statserial-1.1
%patch

%build
make

%install
install -d -m 755 ${RPM_BUILD_ROOT}/usr/bin 
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man1
make install DESTDIR=${RPM_BUILD_ROOT}
install -m 755 phone_log ${RPM_BUILD_ROOT}/usr/bin

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README ChangeLog
/usr/bin/*
%doc /usr/share/man/man1/statserial.1.gz

%changelog -n statserial
* Wed Nov 29 2000 - smid@suse.cz
- renamed: statseri => statserial
* Thu May 04 2000 - smid@suse.de
- buildroot added
* Fri Mar 03 2000 - uli@suse.de
- moved man page to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - uli@suse.de
- new package, version 1.1
